Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class Escrow

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Escrow

public class Escrow
extends BaseObj

SPKI Escrow class.

Formal definition:

     <escrow-status>:: "verified" | "to-verify" ;
     <escrow>:: "(" "escrow" <escrow-status> <loc-obj>? ")" ;

Version:
  $Id: Escrow.java,v 1.4 2002/06/24 18:07:41 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>
See Also:
  `LocObj`

Field Summary
`private static String` | `__ME` This class's full name.
`static int` | `DEFAULT_STATUS`
`private LocObj` | `location` The optional reference location, maybe `null`.
`private static int` | `MAX_STATUS_VALUE`
`private static int` | `MIN_STATUS_VALUE`
`static String` | `SEXP_NAME` This class S-Expression type name, used by toSExpression() and other methods.
`private int` | `status` The escrow status.
`static String[]` | `STATUS_NAMES`
`static int` | `STATUS_TOVERIFY`
`static int` | `STATUS_VERIFIED`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`Escrow()` Create an immutable Escrow without the default status and no reference location.
`Escrow(int status, LocObj location)` Create an immutable Escrow object with the specified status and reference location.
`Escrow(SExpression sexp)` Create an immutable Escrow object from an S-Expression.

Method Summary
`LocObj` | `getLocation()` Get the identifying location, if available.
`int` | `getStatus()` Get the escrow status.
`SExpression` | `toSExpression()` Build an SExpression representing this object.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

  This class S-Expression type name, used by toSExpression() and other methods.
  See Also:
    `toSExpression()`

### STATUS_NAMES

    public static final String[] STATUS_NAMES

### STATUS_VERIFIED

    public static final int STATUS_VERIFIED

### STATUS_TOVERIFY

    public static final int STATUS_TOVERIFY

### MIN_STATUS_VALUE

    private static final int MIN_STATUS_VALUE

### MAX_STATUS_VALUE

    private static final int MAX_STATUS_VALUE

### DEFAULT_STATUS

    public static final int DEFAULT_STATUS

### status

    private int status

  The escrow status.

### location

    private LocObj location

  The optional reference location, maybe `null`.
  See Also:
    `LocObj`

Constructor Detail

### Escrow

    public Escrow()

  Create an immutable Escrow without the default status and no reference location.
  See Also:
    `Escrow(int,LocObj)`

### Escrow

    public Escrow(SExpression sexp)
           throws SPKIException,
                  ParseException

  Create an immutable Escrow object from an S-Expression.
  See Also:
    `BaseObj.BaseObj(SExpression)`

### Escrow

    public Escrow(int status,
                  LocObj location)
           throws SPKIException

  Create an immutable Escrow object with the specified status and reference location.
  Parameters:
    `status` - the escrow status.
    `location` - the reference LocObj, maybe null.
  Throws:
    SPKIException - if some error occured during creation.
  See Also:
    `LocObj`, `Escrow()`

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  Description copied from interface: SPKIObject
  Build an SExpression representing this object.
  Overrides:
    toSExpression in class BaseObj
  Tags copied from interface: SPKIObject
  Returns:
    SExpression object representing this object, or `null`.
  Throws:
    SPKIException - if something went wrong during conversion.

### getStatus

    public int getStatus()

  Get the escrow status.
  Returns:
    the escrow status value.
  See Also:
    `STATUS_VERIFIED`, `STATUS_TOVERIFY`

### getLocation

    public LocObj getLocation()

  Get the identifying location, if available.
  Returns:
    the identifying LocObj, or `null`.
  See Also:
    `Escrow(int,LocObj)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD